# Cards

> HTML version: https://zapped.to/api-documentation/vcards
> Authentication: an API key holding the scope each endpoint lists, sent as `Authorization: Bearer YOUR_API_KEY`. See https://zapped.to/api-documentation/index.md for the base URL, errors and rate limits.

## api_documentation.read_all

### api_documentation.endpoint

`GET https://zapped.to/api/vcards/`

### Authentication

An API key with the `vcards:read` scope (Read cards), sent as `Authorization: Bearer YOUR_API_KEY`.

### api_documentation.example

```bash
curl --request GET \
  --url 'https://zapped.to/api/vcards/' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

| api_documentation.parameters | Details | Description |
| --- | --- | --- |
| search | api_documentation.optional, api_documentation.string | api_documentation.filters.search |
| search_by | api_documentation.optional, api_documentation.string | api_documentation.filters.search_by |
| is_enabled | api_documentation.optional, api_documentation.boolean |  |
| project_id | api_documentation.optional, api_documentation.int |  |
| domain_id | api_documentation.optional, api_documentation.int |  |
| pixels_ids | api_documentation.optional, api_documentation.int |  |
| datetime_field | api_documentation.optional, api_documentation.string | api_documentation.allowed_values |
| datetime_start | api_documentation.optional, api_documentation.string | api_documentation.filters.datetime_start |
| datetime_end | api_documentation.optional, api_documentation.string | api_documentation.filters.datetime_end |
| order_by | api_documentation.optional, api_documentation.string | api_documentation.filters.order_by |
| order_type | api_documentation.optional, api_documentation.string | api_documentation.filters.order_by_type |
| page | api_documentation.optional, api_documentation.int | api_documentation.filters.page |
| results_per_page | api_documentation.optional, api_documentation.int | api_documentation.filters.results_per_page |

### api_documentation.response

```json
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "domain_id": 0,
            "project_id": 0,
            "pixels_ids": [],
            "url": "example",
            "full_url": "https://zapped.to/example/",
            "name": "Example",
            "description": "This is just a simple description for the example vcard 👋.",
            "settings": {
                "is_share_button_visible": true,
                "is_download_button_visible": true,
                "background_type": "preset",
                "background_color": "#ffffff"
            },
            "password": false,
            "timezone": null,
            "theme": "boston",
            "custom_js": "",
            "custom_css": "",
            "pageviews": 50,
            "is_se_visible": true,
            "is_removed_branding": false,
            "is_enabled": true,
            "datetime": "2026-09-28 08:05:49"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://zapped.to/api/vcards?page=1",
        "last": "https://zapped.to/api/vcards?page=1",
        "next": null,
        "prev": null,
        "self": "https://zapped.to/api/vcards?page=1"
    }
}
```

## api_documentation.read

### api_documentation.endpoint

`GET https://zapped.to/api/vcards/{vcard_id}`

### Authentication

An API key with the `vcards:read` scope (Read cards), sent as `Authorization: Bearer YOUR_API_KEY`.

### api_documentation.example

```bash
curl --request GET \
  --url 'https://zapped.to/api/vcards/{vcard_id}' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

### api_documentation.response

```json
{
    "data": {
        "id": 1,
        "user_id": 1,
        "domain_id": 0,
        "project_id": 0,
        "pixels_ids": [],
        "url": "example",
        "full_url": "https://zapped.to/example/",
        "name": "Example",
        "description": "This is just a simple description for the example vcard 👋.",
        "settings": {
            "is_share_button_visible": true,
            "is_download_button_visible": true,
            "background_type": "preset",
            "background_color": "#ffffff"
        },
        "password": false,
        "timezone": null,
        "theme": "boston",
        "custom_js": "",
        "custom_css": "",
        "pageviews": 50,
        "is_se_visible": true,
        "is_removed_branding": false,
        "is_enabled": true,
        "datetime": "2026-09-28 08:05:49"
    }
}
```
